Package commoble.exmachina.engine.api.content

# Enum Class AllDirectionsConnector

java.lang.Object
java.lang.Enum<AllDirectionsConnector>
commoble.exmachina.engine.api.content.AllDirectionsConnector

All Implemented Interfaces:
  `Connector`, `Serializable`, `Comparable<AllDirectionsConnector>`, `Constable`

public enum AllDirectionsConnector extends Enum<AllDirectionsConnector> implements Connector
Connector for blocks that always connect in all six adjacent directions.

    {
            "type": "exmachina:all_directions"
    }

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Nested classes/interfaces inherited from interface commoble.exmachina.engine.api.Connector

`Connector.BlockConnector, Connector.StateConnector`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<AllDirectionsConnector>`
`CODEC`
`static final net.minecraft.resources.ResourceKey<com.mojang.serialization.Codec<? extends Connector>>`
`KEY`

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.DataResult<Connector.BlockConnector>`
`bake(net.minecraft.world.level.block.Block block)`
Bakes a BakedConnector function for the associated block.
`com.mojang.serialization.Codec<? extends Connector>`
`codec()`
Returns Codec registered to `ExMachinaRegistries.CONNECTOR_TYPE`.
`static Set<net.minecraft.core.BlockPos>`
`connections(net.minecraft.world.level.LevelReader level, net.minecraft.core.BlockPos pos)`
`static Connector.StateConnector`
`forState(net.minecraft.world.level.block.state.BlockState state)`
`static AllDirectionsConnector`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AllDirectionsConnector[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface commoble.exmachina.engine.api.Connector

`isPresent`

## Enum Constant Details

### INSTANCE

public static final AllDirectionsConnector INSTANCE

## Field Details

### KEY

public static final net.minecraft.resources.ResourceKey<com.mojang.serialization.Codec<? extends Connector>> KEY

### CODEC

public static final com.mojang.serialization.Codec<AllDirectionsConnector> CODEC

## Method Details

### values

public static AllDirectionsConnector[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AllDirectionsConnector valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### bake

public com.mojang.serialization.DataResult<Connector.BlockConnector> bake(net.minecraft.world.level.block.Block block)
Description copied from interface: `Connector`
Bakes a BakedConnector function for the associated block. Caching and validation can be done.

Specified by:
  `bake` in interface `Connector`
Parameters:
  `block` - Block this connector is associated with
Returns:
  DataResult with success holding a BakedConnector if block is valid, error result otherwise

### forState

public static Connector.StateConnector forState(net.minecraft.world.level.block.state.BlockState state)

### connections

public static Set<net.minecraft.core.BlockPos> connections(net.minecraft.world.level.LevelReader level, net.minecraft.core.BlockPos pos)

### codec

public com.mojang.serialization.Codec<? extends Connector> codec()
Description copied from interface: `Connector`
Returns Codec registered to `ExMachinaRegistries.CONNECTOR_TYPE`..

Specified by:
  `codec` in interface `Connector`
Returns:
  Codec registered to `ExMachinaRegistries.CONNECTOR_TYPE`